#ifndef QAD_GRAPHIC_H
#define QAD_GRAPHIC_H

#include <QtCore/qplugin.h>
#include <QtDesigner/QtDesigner>

class QADGraphic
	: public QObject
	, public QDesignerCustomWidgetCollectionInterface {
	Q_OBJECT
	Q_INTERFACES(QDesignerCustomWidgetCollectionInterface)
#if QT_VERSION >= 0x050000
	Q_PLUGIN_METADATA(IID "qad.graphic")
#endif

public:
	explicit QADGraphic(QObject * parent = 0);
	virtual QList<QDesignerCustomWidgetInterface *> customWidgets() const;

private:
	QList<QDesignerCustomWidgetInterface *> m_widgets;
};

#endif // QAD_GRAPHIC_H
